{% extends '::base.html.twig' %}

{% block title %}Direcciones Usuarios{% endblock title %}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">
    <h1>Direcciones Usuarios</h1>
            
            <a class="btn btn-success" href="{{ path('direccionesusuarios_new', {'usuario': usuario }) }}">
                Crear Nueva direccion
            </a>

            <a class="btn btn-warning" href="{{ path('usuario') }}">
            Regresar al Listado de Usuarios
            </a>
            <br />
            <br />
    <table id="tabla" class="table table-bordered table-striped table-condensed">
        <thead class="head_table">
            <tr>
                <th>País</th>
                <th>Estado</th>
                <th>Municipio</th>
                <th>C. P.</th>
                <th>Colonia</th>
                <th>Calle</th>
                <th>Entre las Calles</th>
                <th>Referencia</th>
                <th>No Ext.</th>
                <th>No Int.</th>
                <th>Tel. Casa</th>
                <th>Tel. Oficina</th>
                <th>Tel. Cel.</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td>{{ entity.pais }}</td>
                <td>{{ entity.estado }}</td>
                <td>{{ entity.municipio }}</td>
                <td>{{ entity.cp }}</td>
                <td>{{ entity.colonia }}</td>
                <td>{{ entity.calle }}</td>
                <td>{{ entity.entreCalles }}</td>
                <td>{{ entity.referencia }}</td>
                <td>{{ entity.noExt }}</td>
                <td>{{ entity.noInt }}</td>
                <td>{{ entity.telcasa }}</td>
                <td>{{ entity.telOficina }}</td>
                <td>{{ entity.telCel }}</td>
                <td align="center">
                        <a class="btn btn-primary" href="{{ path('direccionesusuarios_show', { 'id': entity.idDireccion , 'usuario': entity.usuario }) }}">Ver</a>

                        {#<a class="btn btn-primary" href="{{ path('direccionesusuarios_edit', { 'id': entity.idDireccion, 'usuario': entity.usuario }) }}">Editar</a>#}

                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </div>
    {% endblock %}

 {% block javascripts %}
    <!--TABLE API -->
    <script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
    <!--**********-->
    
<script type="text/javascript">  
  $(document).ready(function() {
    $('#tabla').dataTable({
        "language":DataTables.languaje.es                    
                        });


      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#usuarios_length" ).addClass( "form-inline" );
      $( "#usuarios_filter" ).addClass( "form-inline" );

} );
</script>
{% endblock %}
